## <div align="center">AeroViz for Aerosol Science</div>

<p align="center">

  <img alt="Static Badge" src="https://img.shields.io/badge/python-3.12-blue?logo=python">
  <img alt="Static Badge" src="https://img.shields.io/badge/License-MIT-yellow">
  <img alt="Static Badge" src="https://img.shields.io/badge/github-updating-red?logo=github">
  <img src="https://img.shields.io/badge/testing-green?logo=Pytest&logoColor=blue">

</p>

<div align="center">

<a href="https://github.com/Alex870521"><img src="https://github.com/Alex870521/assets_repo/blob/main/assets/media/logo-social-github.png?raw=true" width="3%" alt="Alex870521 GitHub"></a>
<img src="https://github.com/Alex870521/assets_repo/blob/main/assets/media/logo-transparent.png?raw=true" width="3%">
<a href="https://www.linkedin.com/in/Alex870521/"><img src="https://github.com/Alex870521/assets_repo/blob/main/assets/media/logo-social-linkedin.png?raw=true" width="3%" alt="Alex870521 LinkedIn"></a>
<img src="https://github.com/Alex870521/assets_repo/blob/main/assets/media/logo-transparent.png?raw=true" width="3%">
<a href="https://medium.com/@alex870521"><img src="https://github.com/Alex870521/assets_repo/blob/main/assets/media/logo-social-medium.png?raw=true" width="3%" alt="Alex870521 Medium"></a>


</div>

## <div align="center">Supported Instruments</div>

> [!NOTE]\
> We are continuously working to support more instruments. Please check back for updates or contribute to our project on
> GitHub.

The AeroViz project currently supports data from the following instruments:

- **SMPS (Scanning Mobility Particle Sizer)**
- **APS (Aerodynamic Particle Sizer)**
- **GRIMM (GRIMM Aerosol Technik)**
- **TEOM (Continuous Ambient Particulate Monitor)**
- **NEPH (Nephelometer)**
- **Aurora (Nephelometer)**
- **AE33 (Aethalometer Model 33)**
- **AE43 (Aethalometer Model 43)**
- **BC1054 (Black Carbon Monitor 1054)**
- **MA350 (MicroAeth MA350)**
- **OCEC (Organic Carbon Elemental Carbon Analyzer)**
- **IGAC (In-situ Gas and Aerosol Compositions monitor)**
- **VOC (Volatile Organic Compounds Monitor)**

[//]: # (## <div align="center">Visual Example</div>)

### <div align="center">WindRose and Conditional Bivariate Probability Function (CBPF)</div>

> [!TIP]\
> The provided code of WindRose and CBPF suitable for wind speed and wind direction data.

![WindRose](https://github.com/Alex870521/assets_repo/blob/main/assets/figure/windrose_CBPF.png?raw=true)

## <div align="center">Particle Size Distribution</div>

> [!IMPORTANT]\
> The provided code of distribution suitable for SMPS and APS data in "dX/dlogdp" unit.
> It can be converted into surface area and volume distribution. At the same time,
> chemical composition data can also be used to calculate particle extinction through Mie theory.

![PNSD](https://github.com/Alex870521/assets_repo/blob/main/assets/figure/OverPSD.png?raw=true)

## <div align="center">For some basic plot</div>

|                                               **Three_dimension**                                               |                                              **Correlation Matrix**                                               |                                       **Mutiply Linear Regression**                                        |
|:---------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------:|
|        ![PSD 3D](https://github.com/Alex870521/assets_repo/blob/main/assets/figure/psd_3D.png?raw=true)         | ![Correlation Matrix](https://github.com/Alex870521/assets_repo/blob/main/assets/figure/corr_matrix.png?raw=true) | ![IMPROVE MLR](https://github.com/Alex870521/assets_repo/blob/main/assets/figure/IMPROVE_MLR.png?raw=true) |
|                                                 **Pie & Donut**                                                 |                                                    **Dounts**                                                     |                                                **Scatter**                                                 |
| ![IMPROVE donuts](https://github.com/Alex870521/assets_repo/blob/main/assets/figure/IMPROVE_donut.png?raw=true) |   ![IMPROVE bar](https://github.com/Alex870521/assets_repo/blob/main/assets/figure/IMPROVE_donuts.png?raw=true)   |     ![scatter](https://github.com/Alex870521/assets_repo/blob/main/assets/figure/scatter.png?raw=true)     |

## <div align="center">PyMieScatt</div>

|                                           **Mie_Q**                                            |                                            **Mie_MEE**                                             |
|:----------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------:|
| ![Mie Q](https://github.com/Alex870521/assets_repo/blob/main/assets/figure/Mie_Q.png?raw=true) | ![Mie MEE](https://github.com/Alex870521/assets_repo/blob/main/assets/figure/Mie_MEE.png?raw=true) |     |

## <div align="center">Related Dependencies</div>

* [PyMieScatt](https://github.com/bsumlin/PyMieScatt.git)
* [py-smps](https://github.com/quant-aq/py-smps.git)

## <div align="center">Contact</div>

For bug reports and feature requests please visit [GitHub Issues](https://github.com/Alex870521/DataPlot/issues).

<div align="center">

<a href="https://github.com/Alex870521"><img src="https://github.com/Alex870521/assets_repo/blob/main/assets/media/logo-social-github.png?raw=true" width="3%" alt="Alex870521 GitHub"></a>
<img src="https://github.com/Alex870521/assets_repo/blob/main/assets/media/logo-transparent.png?raw=true" width="3%">
<a href="https://www.linkedin.com/in/Alex870521/"><img src="https://github.com/Alex870521/assets_repo/blob/main/assets/media/logo-social-linkedin.png?raw=true" width="3%" alt="Alex870521 LinkedIn"></a>
<img src="https://github.com/Alex870521/assets_repo/blob/main/assets/media/logo-transparent.png?raw=true" width="3%">
<a href="https://medium.com/@alex870521"><img src="https://github.com/Alex870521/assets_repo/blob/main/assets/media/logo-social-medium.png?raw=true" width="3%" alt="Alex870521 Medium"></a>


</div>